# vim: set ts=4 sw=4 et:

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           gpodder
Version:        2.20
Release:        1.95
Summary:        Podcast Receiver
# http://download.berlios.de/gpodder/gpodder-%{version}.tar.gz
Source:         gpodder-%{version}.tar.bz2
Source99:       gpodder-rpmlintrc
URL:            http://gpodder.berlios.de
Group:          Productivity/Networking/Other
License:        GNU General Public License version 3 or later (GPL v3 or later)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gettext gettext-devel intltool help2man ImageMagick
BuildRequires:  python python-devel make update-desktop-files fdupes
BuildRequires:  python-feedparser
BuildRequires:  python-mygpoclient >= 1.4
BuildRequires:  hicolor-icon-theme

# not actually needed, but to make the build fail if the runtime
# dependencies are not available:
BuildRequires:  python-gtk
BuildRequires:  python-feedparser
BuildRequires:  python-mygpoclient >= 1.4
BuildRequires:  dbus-1-python
BuildRequires:  libgpod-python
BuildRequires:  python-pymad
BuildRequires:  python-eyeD3
BuildRequires:  vorbis-tools
BuildRequires:  MPlayer
BuildRequires:  lame

Requires:       python-gtk
Requires:       python-feedparser
Requires:       python-mygpoclient >= 1.4
Requires:       dbus-1-python
Requires:       libgpod-python
Requires:       python-pymad
Requires:       python-eyeD3
Requires:       vorbis-tools
Requires:       MPlayer
Requires:       lame
%if 0%{?suse_version} < 1120
BuildRequires:  python-sqlite2
Requires:       python-sqlite2
%endif

%py_requires
%if %suse_version >= 1120
BuildArch:      noarch
%endif

Conflicts:      gpodder3

%description
gPodder manages Podcasts for you and automatically downloads selected episodes
from as many channels as you like. Synchronization support is available for
iPods and filesystem-based MP3 players, but Podcasts can (of course) also be
played with any desktop player application.

%prep
%setup -q -n "gpodder-%{version}"

%build

%install
%makeinstall PREFIX="%{_prefix}"

# remove invalid locale dir
%__rm -rf "%{buildroot}%{_datadir}/locale/kk"

# remove shebangs from .py files that are in sitelib:
find "%{buildroot}%{python_sitelib}/" -name '*.py' \
| while read f; do
    case $(head -1 "$f") in
        \#!*) %__sed -i '1d' "$f" ;;
    esac
done

# recompile all .py files because their timestamp doesn't match
find "%{buildroot}%{python_sitelib}/" -name '*.pyc' -exec %__rm {} \;
%__python -c 'import compileall; compileall.compile_dir("%{buildroot}%{python_sitelib}/", ddir="%{python_sitelib}", force=1)'

%fdupes -s "%{buildroot}%{_datadir}"

%suse_update_desktop_file -r gpodder Network FileTransfer

%find_lang gpodder

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f gpodder.lang
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/gpo
%{_bindir}/gpodder
%{_bindir}/gpodder-backup
%{python_sitelib}/gpodder
%{_datadir}/gpodder
%{_datadir}/applications/gpodder.desktop
%dir %{_datadir}/dbus-1
%dir %{_datadir}/dbus-1/services
%{_datadir}/dbus-1/services/org.gpodder.service
%{_datadir}/pixmaps/gpodder.png
%{_datadir}/icons/*/*/apps/gpodder.*
%doc %{_mandir}/man1/gpo.1%{ext_man}
%doc %{_mandir}/man1/gpodder.1%{ext_man}
%doc %{_mandir}/man1/gpodder-backup.1%{ext_man}
%if %suse_version >= 1020
%{python_sitelib}/gpodder-%{version}-py%{py_ver}.egg-info
%endif

%changelog
* Tue Nov  8 2011 pascal.bleser@opensuse.org
- update to 2.20
- downgrade to the 2.xx branch, as 3.0.0 introduces quite a lot of changes and
  breaks the existing database (needs migration); 3.0.0 is available as
  "gpodder3" now, at least for as long as 2.xx is still maintained
* Mon Nov  7 2011 pascal.bleser@opensuse.org
- update to 3.0.0:
  * a brand new QML UI in addition to the existing GTK UI
  * support for Episode Query Language to filter down episode lists
  * a new on-disk single-folder data structure, allowing easy backups of the
    podcast database and downloads
- note: gpodder-backup has been removed upstream
* Sat Aug 20 2011 pascal.bleser@opensuse.org
- update to 2.18:
  * fixes problems with downloads from YouTube
* Fri Jul 22 2011 pascal.bleser@opensuse.org
- update to 2.16:
  * use $EXTERNAL_STORAGE on Android (bug 1290)
  * GTK UI: Show duration and position in shownotes (bug 1364)
  * support %%p (position) in player command (bug 1140)
  * mygpo: convert remote timestamps to local time (bug 1036)
  * fix issues with zero playback position (Maemo bug 12262)
  * sync: Fix TypeError in device cleanup (bug 611)
  * mygpo: Send timestamp as UTC to gpodder.net (bug 1036)
  * fallback to "gio" for free disk space (bug 1361), this fixes problems with
    iPods mounted via GVFS
  * avoid errors with incomplete icon themes (LP bug 782303)
  * load podcast list before update on startup (bug 1337)
* Tue May  3 2011 pascal.bleser@opensuse.org
- update to 2.15:
  * fixes problems when saving episodes to folders
  * also removes GStreamer-based track length detection, as it produced crashes
    for some users
  * description parsing support has also been improved
  * for upgrades from older installations, the database schema is repaired to
    allow multiple GUIDs in different podcasts
  * updated translations: French, Galician, Norwegian Bokmål, and Spanish
* Wed Apr 27 2011 pascal.bleser@opensuse.org
- remove dependency on gnome-btdownloader, is obsolete
* Tue Apr  5 2011 pascal.bleser@opensuse.org
- update to 2.14:
  * updated French translation
  * fixes to the tray icon behavior
  * various fixes to improve the parsing of podcast feeds
* Thu Feb 24 2011 pascal.bleser@opensuse.org
- update to 2.13:
  * bugfix release of the stable 2.x series
  * a YouTube-related directory bug was fixed
  * the UI parts of the Maemo 5 variant were improved
  * this is a recommended update for all gPodder users
* Wed Jan 12 2011 pascal.bleser@opensuse.org
- update to 2.12 "The Odyssey of Flight 33":
  * fixes a problem with upgrades from older versions where the podcast list
    would appear empty when the new version is started: the fix is both for new
    upgrades and for databases on which the upgrade failed previously (#1198)
  * fixes French translation
* Mon Dec 20 2010 pascal.bleser@opensuse.org
- update to 2.11 "Dance me a Dance":
  * fixes the broken YouTube downloads
  * fix only_sync_not_played for per-podcast sync (bug 1213): the
    only_sync_not_played configuration option was not followed when the
    per-podcast context menu item "Sync to device" was used, as all episodes of
    that podcast were forced to be copied to the device; this is now fixed, and
    only unplayed episodes will be copied in this case
  * proper single-time download notifications (bug 1161): only show a
    notification for finished or failed downloads once, both on the Desktop
    version and on Maemo 5 by adding a special function to DownloadTask to keep
    track whether or not the notification has already been shown previously
  * YouTube: better error message for protected videos: YouTube protects pages
    that contain violence, etc.. by requiring users to login to prove they are
    over 18; we can't determine the fmt_url_map in that case, so this patch
    adds a better error message to the failed download
  * ignore invalid timestamp from iPod (bug 418)
  * add support for file:// URLs for feeds (bug 1229)
  * use first Content-length header (bug 1226):  use first matching
    Content-length header when multiple found (occured with some cache/proxy
    servers)
  * fix a bug with type-less content in feeds
  * nicer download filenames for Soundcloud streams
* Sun Nov 28 2010 pascal.bleser@opensuse.org
- update to 2.10 "There Lies A Widget, Stir!":
  * shows download progress (downloaded size and file size) in the download
    list
  * new episode list icon style for all UI variants
  * support for touchscreen-based tablet PCs in the Desktop UI variant
  * various bugfixes and translation updates
* Sun Oct 10 2010 pascal@links2linux.de
- update to 2.9:
  * various small fixes to bugs and UI problems that have surfaced since the
    last release
  * now supports sorting of the episode list by name, file size, and release
    date
  * pausing of subscriptions is also supported per-podcast, allowing the feed
    update process to be more efficient for feeds that are on hiatus
* Sun Aug 29 2010 pascal@links2linux.de
- update to 2.8:
  * YouTube video downloads have been fixex: downloading HD and SD videos works
    correctly now
  * a new (experimental) XSPF parser has been added
  * many bugs and UI annoyances have been fixed
  * the translations have been updated, and a new Greek translation has been
    added
* Thu Jul  8 2010 pascal@links2linux.de
- update to 2.7:
  * adds better integration with Panucci and gpodder.net, including merging of
    retrieved episode actions from gpodder.net into the local database
  * bugfixes and up-to-date translations are included
* Sun May 23 2010 pascal@links2linux.de
- update to 2.6:
  * optimized Maemo 5 UI
  * improvements to the episode list context menu for Maemo 4 and the Desktop
    version
  * the gpodder.net integration has also been improved
* Tue Apr 20 2010 pascal@links2linux.de
- update to 2.5:
  * YouTube video downloads have been fixed
  * most translations were updated
  * some strings have been changed to make the UI more usable
* Tue Mar 30 2010 pascal@links2linux.de
- update to 2.4:
  * bugfixes
  * usability improvements
  * some parts of the episode list handing have been optimized
  * a new preferences dialog is available
* Sun Feb 28 2010 pascal@links2linux.de
- update to 2.3:
  * updated translations
  * some UI fixes
  * fixes for issues that have been reported by users since gPodder
    2.2 was released
  * the "All episodes" view is enabled by default in this version
* Mon Feb  8 2010 pascal.bleser@opensuse.org
- update to 2.2:
  * support has been added for an experimental "all episode" view and photo
    feeds (e.g. Flickr)
  * integration of my.gpodder.org (via the mygpoclient Library) has been
    included
  * a dialog for mass-unsubscribing of podcasts (instead of doing it
    one-by-one) has been added
* Sun Dec 13 2009 pascal.bleser@opensuse.org
- update to 2.1:
  * many bugs from the 2.0 release were fixed
  * support was added for search-as-you-type in the podcast and episode list
  * support was added for Soundcloud feeds
  * this release is the first to support Maemo 5 right from the release day
* Fri Sep 25 2009 pascal.bleser@opensuse.org
- update to 2.0:
  * support for episode list filtering was added
  * the UI was refreshed for Maemo 4
  * the new command-line utility "gpo" replaces the old CLI interface
  * lots of bugfixes and performance improvements were made
* Fri Jul 31 2009 pascal.bleser@opensuse.org
- update to 0.17.0:
  * fixes several bugs found in 0.16.1
  * adds an improved feed update algorithm that is able to skip updates if new
    episodes are highly unlikely
  * support for Media RSS-based podcasts has been added
* Sat Jun  6 2009 pascal.bleser@opensuse.org
- update to 0.16.1:
  * a redirection bug with YouTube has been fixed
  * timeout errors should not occur anymore for some specific feeds
  * better error reporting has been added to the GUI for low disk space
    situations and permission problems
* Tue Jun  2 2009 pascal.bleser@opensuse.org
- update to 0.16.0:
  * a new download manager with download pausing and resuming has been
    implemented
  * subscriptions can now be added by pasting URLs from the clipboard via a
    button
* Sun Apr 12 2009 pascal.bleser@opensuse.org
- update to 0.15.2:
  * fixes bugs found in version 0.15.1 and updates translation files
* Fri Mar 13 2009 pascal.bleser@opensuse.org
- update to 0.15.1:
  * fixes a compatibility bug with Python 2.6
  * two fixes that did not make it into the 0.15.0 release
* Tue Mar 10 2009 guru@unixtech.be
- update to 0.15.0:
  * adds resuming downloads between sessions
  * remembers the episodes that are downloading on exit
  * the file and folder naming has been improved, so that files and folders
    are now human-readable and easy to look at with a file manager
  * a new tool, gpodder-backup, makes it possible to back up and restore
    settings and downloads
* Tue Feb  3 2009 guru@unixtech.be
- update to 0.14.1:
  * the Spanish, Russian, Finnish, Swedish, and French translations have been
    updated
  * some bugs in the user interface have also been fixed
* Fri Dec 12 2008 guru@unixtech.be
- update to 0.14.0:
  * YouTube user channels can now be used as video podcasts that download mp4
    files
  * the user interface has been improved and gPodder can now upload and
    download podcast lists to my.gpodder.org
* Thu Oct 30 2008 guru@unixtech.be
- update to 0.13.1:
  * fixes bugs discovered since the 0.13.0 release
  * updates four translations
* Thu Oct  9 2008 guru@unixtech.be
- update to 0.13.0:
  * adds support for Media Transfer Protocol-based MP3 players (sync support)
  * implements usability interface changes
  * some bugs found since the previous version have been fixed
* Wed Sep 10 2008 guru@unixtech.be
- update to 0.12.3:
  * fix large negative values for download progress (bug 160)
  * detect and report HTTP errors when downloading (bug 106)
  * do not try to load invalid/empty RSS image tag (bug 169)
  * make gdfs-init work again (load_channels argument error)
  * improve slash and duplicate episode name handling in gdfs (bug 170)
  * fail if gpod is not available in iPod sync (bug 179)
* Sat Aug  9 2008 guru@unixtech.be
- new upstream version:
  * Swedish translation update
  * fixes problems with the cover downloader
  * corrects dialog behaviour of dialog windows
  * corrects the podcast list sorting
  * some minor problems with legacy encodings and episode file sizes have also
    been fixed
* Thu Jul 24 2008 guru@unixtech.be
- new upstream version:
  * fixes some problems with device synchronization and the command line
    interface that have been discovered in the 0.12.0 release
  * updated French translation
* Tue Jul 15 2008 guru@unixtech.be
- new upstream version:
  * automatic cover downloads
  * better file and folder naming
  * support for Rockbox Cover Art
  * SQLite database backend
* Mon Jun  2 2008 guru@unixtech.be
- new upstream version:
  * minor feature upgrades
  * a revised main menu
  * speedier updates when refreshing feeds
  * a few translations have been updated
* Sat Apr 26 2008 guru@unixtech.be
- new upstream version
* Fri Mar 28 2008 guru@unixtech.be
- new upstream version
* Mon Feb 25 2008 guru@unixtech.be
- new upstream version
* Tue Jan 22 2008 guru@unixtech.be
- new upstream version
* Fri Dec 28 2007 guru@unixtech.be
- new package
